My job in Computer Class felt contradictory. On the one hand, trying to facilitate discussion of the endlessly fascinating written works of Seymour Papert as context and inspiration for our work with Ludus, on the other, wanting to show how Papert's early optimism about computers in education turned sour as he saw the early developments which laid the groundwork for our techno-dystopian present. I remember being distinctly worried about how the participants would react to this history. a week of intensive programming in Ludus aimed at exploring the emergent, expressive, and creative capacities of computation paired with an intellectual history of disappointment, cynicism, and skepticism about whether computing could really promote such a liberatory potential. Not only that, but for the possibility that the desire for playing and learning with Ludus would overwhelm the intellectual history and philosophical investments shared among the organizers.

But I was wrong to be worried. 

The participants, who made truly remarkable things with Ludus (described elsewhere in this collective essay) were clear eyed and enthusiastic about the less than optimistic story we were telling as they also embodied the best of Papert's vision of learning through programming. When discussing the early optimistic Papert, we were able to connect what we were reading and doing with Ludus to our earliest memories of living with computers. What (Scott Richmond - Scott, is this your coinage?) refers to as computational personhood, the McLuhanist sense of our tools being extensions of ourselves, was wonderfully open in our stories from childhood, open in the sense of both the wonder and awe of our relation to computers and in the sense of what we could do with them. 

Papert, in Mindstorms: Children, Computers, and Powerful Ideas, contextualizes his vision for the computer's role in education as counter to the burgeoning educational software industry: 

“In many schools today, the phrase "computer-aided instruction" means making the computer teach the child. One might say the computer is being used to program the child. In my vision, the child programs the computer and, in doing so, both acquires a sense of mastery over a piece of the most modern and powerful technology and establishes an intimate contact with some of the deepest ideas from science, from mathematics, and from the art of intellectual model building.” (5)

Papert's early work saw the development of capacity, of being able to act in the world (especially the microworlds children programmed in LOGO), where one is able to make mistakes and learn from them through iteration and repetition, as essential to learning. While he frames it here in the language of mastery - likely a specific point of contention between himself and Joseph Weizenbaum - the more fundamental point for Papert is the way that all learning happens in the first person: “the actual job of getting to know an idea or a person cannot be done by a third party." (137) Other people can't learn something for you. You may be able to benefit from (or be harmed by) their learning, but if you didn't learn it, you didn't learn it. With LOGO, with the educational computer that you program rather than letting it program you, Papert thought, there was a safe place to make mistakes, to learn not only factual or descriptive content about our world as we describe it in science and mathematics, but processual knowledge of what to do when something goes wrong. Papert, from his three books on computers and education, really did believe that with the right programming environment students would be able to learn anything they could possibly become curious about without the need of formal instruction or schooling. 

In Computer Class, what was remarkable to me was how clearly wrong Papert was. Not in the sense that the participants, all capable programmers, were more than able to play with and test out solutions to problems that came their way without receiving aid from one of the facilitators. But that to a person, everyone had to ask for help at some point, had to call on one or both of the developers of Ludus about a stubborn problem that just wasn't providing the affordances needed to debug it on their own. I think there's something rich in these minor experiences of helplessness. 

Joseph Weizenbaum, our second interlocutor for the Computer Class seminars, whom we read after Papert's cynical turn (which, briefly, was more about his own failure in transforming institutional schooling than any lost optimism about the right kind of computation), was also worried about the relation of computer to user when it came to the directionality of programming. In Computer Power and Human Reason, Weizenbaum argued that computers, because they operate on computational logics, can't help but program their users to see the world in computational terms. At its most extreme this generated what he called the “compulsive programmer” and we can see how his description of this figure puts him at odds with Papert's vision of the child who learns mastery through computation: 

“The conviction that one is all-powerful, however, cannot rest; it must constantly be verified by tests. The test of power is control. The test of absolute power is certain and absolute control. When dealing with the compulsive programmer, we are therefore also dealing with his need to control and his need for certainty.” (126)

I share Weizenbaum's concerns here, and doubt Papert's optimism on precisely these grounds. But those moments from Computer Class where even the most adept programmers in the group needed help - and perhaps more ordinarily, when they wanted to share what they had done and engage in the wildly creative process of free association among friends - demonstrated that what Papert was wrong about was the importance of what computers can't teach. The abstract and somewhat esoteric concept of human judgement, as Weizenbaum described it in opposition to computation in his work, emerges in relation among people and that this is something computers can't simulate. That one of the key functions of human judgement is knowing when we can't do it alone, knowing when we need help and the kind of help computers can't provide. 

