Matt Nish-Lapidus

In some ways Computer Class was born out of frustration. We are frustrated with the growing tide of so-called "AI" that further encloses and obfuscates the toolness of computing. We are frustrated by the continued locking down and corporate capture of all software. We are frustrated by how these things continue to disempower and deskill people, transforming us into consumers and the computer into an appliance. We don't have the ability to change everything all at once, but we thought that there must be something we could do, together, to experiment with other possibilities.

For quite a while Scott and I had been talking about how to bring a small group of people together to both wallow in the current state of computing and attempt to collectively imagine different ways that we can live with, and learn, computation. Now, writing this almost a year after the initial Computer Class, I feel that we have taken real first steps towards these goals, and against our shared frustrations, by thinking specifically about how we live with computation, and how we can re-learn the possibilities of computation outside of, and in opposition to, current dominant computer cultures.

In the early chapters of "Tools for Conviviality", Ivan Illich uses the idea of "two watersheds" to think about the evolution of professionalized western medicine—starting from its emergence and revolutions in sanitation and disease treatment, through the its transformation into a monopoly over "an increasing range of everyday occurrences in every man's life"[^1] and enclosure by increasingly restricted and controlled institutions. In Illich's analysis western medicine's "first watershed" provided unambiguous good to a large number of people. However, as we get to the "second watershed" he claims that "the marginal utility of further professionalization declined," and "the marginal disutility increased as further monopoly by the medical establishment became an indicator of more suffering for larger numbers of people."[^2] 

"At first, new knowledge is applied to the solution of a clearly stated problem and scientific measuring sticks are applied to account for the new efficiency. But at a second point, the progress demonstrated in a previous achievement is used as a rationale for the exploitation of society as a whole in the service of a value which is determined and constantly revised by an element of society ..."[^3]

This feels like an apt description of what is currently happening in the world of computation. The widely felt material benefits of the early boom in computerization have largely been superseded by coercion, control, and a narrative of inevitability—"innovation" above all, newness as the primary value. Eearlier feelings of excitement and possibility have given way to capture and subjugation. Most widely used contemporary computer devices don't let the person using them do computation, they are consumption appliances built on heavy externalities and corporate control. You can't program on your iPhone. Even if you have the required authorisation to make software for Apple's iOS (i.e. a paid developer account, passing their approvals process), that software can't be written on the device. The device only allows approved use and consumption of authorized software tools. Illich's concept of convivial tools is rooted in the freedom to learn and use a tool in whatever way is needed—tools we are free to use, modify, fix, and share.[^4] 

Computer Class is an attempt to think about, and live inside of, the possibilities for a more convivial computing past its "second watershed." This idea influenced the structure of the class, the theoretical texts we discuss, and Scott's evolving Ludus programming language, which we use to teach the class. Unlike other computation and programming intensives, Computer Class isn't meant to be "productive" or "useful" in a tech industry sense. Participants don't learn how to write programs that will be useful to the post-second-watershed industrial apparatus, but rather as a way to make histories, concepts, and cultures of computation accessible and material. We want to use computation to think about technology and society, about what it means to be human, not as an end in itself— or, as Illich says, "to recognize means which have turned into ends."[^5]

Co-leading the first iteration of Computer Class was joyous and deeply affective. It felt like real community building, and the ongoing engagement over the months that followed showed me that this feeling was mutual amongst all the participants. Computer Class is an experience in creating a shared learning environment where everyone is free to be themselves, explore their interests in relation to the material, drive the curriculum, learn in their/our own ways, and rediscover why so many of us fell in love with computers to begin with. For some people it was their first encounter with a computer as more-than-appliance, for others it was a time to reengage with ways of learning and working that are often lost in adulthood and professional life. It was open play within a specific kind of context.

At the end of the week we have time set aside for reflection and discussion on the week, and what ideas, methods, and anything that we felt we would take with us back into our "normal" lives. Many people talked about demystification of computation, or feeling more empowered to work with computation freely. One of the participants responded that we had "broken the university" for them (paraphrased). Regardless of the technical skill or critical knowledge that filled our week, this is the feedback that stuck with me. This is Illich's call to conviviality—the dismantling of gate-kept professionalization and standardization. If every participant in one of our ongoing Computer Class cohorts leaves feeling like the standard approach to learning and teaching is "broken" then I feel like I've done my job.

[^1]: Illich, Ivan. _Tools for Conviviality_. Glasgow: Fontana, 1975. p20.
[^2]: Ibid.
[^3]: Ibid.
[^4]: "People need not only to obtain things, they need above all the freedom to make things among which they can live, or give shape to them according to their own tastes, and to put them to use in caring for and about others." Illich, Tools for Conviviality. p24.
[^5]: Illich, Tools for Conviviality. p27.
